Subject: Re: perl update?
To: Masao Uebayashi <>
From: Andrew Brown <>
List: tech-pkg
Date: 01/25/2001 12:06:35
>> > or...what if i just remove the +REQUIRED_BY file from the pkg
>> > database, delete and reinstall perl, and then put it back?
>It's just that you'll go out of the pkgsrc's responsibility, I guess.

i think you mean that pkgsrc will no longer be able to help me?

>(BTW, when I was so ignorant and used FreeBSD, I usually extracted
>binary packages by 'tar' and removed '+[A-Z]*' files. That's not so
>bad - I could *do* suvive a life. :-)

sure.  you just don't get the help of the pkg management things.  i
used to just install everything from tar balls into /usr/local.

>> Are you sure that Perl distributes files/directories cotaining its
>> version number?
>So does XEmacs. They seems totally indifferent about updating their
>packages. IMO, these are beyond pkgsrc's duty.

well...true, but nothing "depends" on emacs in order to work.

|-----< "CODE WARRIOR" >-----|             * "ah!  i see you have the internet (Andrew Brown)                that goes *ping*!"       * "information is power -- share the wealth."